## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           roswell
Version:        23.10.14.114
Release:        %autorelease
Summary:        A launcher for a major lisp environment that just works

License:        MIT
URL:            https://github.com/roswell/roswell
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libcurl-devel
BuildRequires:  make
BuildRequires:  sbcl

# Due to SBCL support
# Do not include leaf packages ix86
ExclusiveArch:  x86_64 aarch64 %{power64}

%description
Roswell is a Lisp implementation installer/manager, launcher, and much more!

Roswell started out as a command-line tool with the aim to make installing and
managing Common Lisp implementations really simple and easy.

Roswell has now evolved into a full-stack environment for Common Lisp
development, and has many features that makes it easy to test, share, and
distribute your Lisp applications. With Roswell, we aim to push the Common
Lisp community to a whole new level of productivity.

Roswell is still in beta. Despite this, the basic interfaces are stable and not
likely to change. Roswell currently works well on Unix-like platforms such as
Linux, macOS and FreeBSD. Roswell also works on other operating systems, but
currently some parts or features might be missing or unstable.

%prep
%autosetup


%build
sh bootstrap
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc README.md
%dir %{_sysconfdir}/roswell
%{_sysconfdir}/roswell/balus.ros
%{_sysconfdir}/roswell/build-asd.lisp
%{_sysconfdir}/roswell/build-ros.lisp
%{_sysconfdir}/roswell/build.ros
%{_sysconfdir}/roswell/checkout.ros
%{_sysconfdir}/roswell/client-swank.lisp
%{_sysconfdir}/roswell/client.ros
%{_sysconfdir}/roswell/compile-file.ros
%{_sysconfdir}/roswell/config.ros
%{_sysconfdir}/roswell/delete-asdf.lisp
%{_sysconfdir}/roswell/delete-default.lisp
%{_sysconfdir}/roswell/delete-dump.lisp
%{_sysconfdir}/roswell/delete-env.lisp
%{_sysconfdir}/roswell/delete-git.lisp
%{_sysconfdir}/roswell/delete.ros
%{_sysconfdir}/roswell/dist-add.lisp
%{_sysconfdir}/roswell/dist-clean.lisp
%{_sysconfdir}/roswell/dist-default.lisp
%{_sysconfdir}/roswell/dist-delete.lisp
%{_sysconfdir}/roswell/dist-disable.lisp
%{_sysconfdir}/roswell/dist-enable.lisp
%{_sysconfdir}/roswell/dist-list.lisp
%{_sysconfdir}/roswell/dist-preference.lisp
%{_sysconfdir}/roswell/dist-use.lisp
%{_sysconfdir}/roswell/dist-versions.lisp
%{_sysconfdir}/roswell/dist.ros
%{_sysconfdir}/roswell/dump-ccl.lisp
%{_sysconfdir}/roswell/dump-clisp.lisp
%{_sysconfdir}/roswell/dump-cmucl.lisp
%{_sysconfdir}/roswell/dump-ecl.lisp
%{_sysconfdir}/roswell/dump-sbcl.lisp
%{_sysconfdir}/roswell/dump.ros
%{_sysconfdir}/roswell/ecl-config.ros
%{_sysconfdir}/roswell/emacs.ros
%{_sysconfdir}/roswell/exec.ros
%{_sysconfdir}/roswell/extend-quicklisp-system.lisp
%{_sysconfdir}/roswell/extend-quicklisp.lisp
%{_sysconfdir}/roswell/fmt.ros
%{_sysconfdir}/roswell/get.ros
%{_sysconfdir}/roswell/git.ros
%{_sysconfdir}/roswell/help-install.lisp
%{_sysconfdir}/roswell/help-options.lisp
%{_sysconfdir}/roswell/help-run.lisp
%{_sysconfdir}/roswell/help.ros
%{_sysconfdir}/roswell/helper.el
%{_sysconfdir}/roswell/hg.ros
%{_sysconfdir}/roswell/init-default.lisp
%{_sysconfdir}/roswell/init-dist.lisp
%{_sysconfdir}/roswell/init-env.lisp
%{_sysconfdir}/roswell/init.lisp
%{_sysconfdir}/roswell/init.ros
%{_sysconfdir}/roswell/install+7zip.lisp
%{_sysconfdir}/roswell/install+externals-clasp.lisp
%{_sysconfdir}/roswell/install+ffcall.lisp
%{_sysconfdir}/roswell/install+msys2.lisp
%{_sysconfdir}/roswell/install+sigsegv.lisp
%{_sysconfdir}/roswell/install-abcl-bin.lisp
%{_sysconfdir}/roswell/install-allegro.lisp
%{_sysconfdir}/roswell/install-asdf.lisp
%{_sysconfdir}/roswell/install-ccl-bin.lisp
%{_sysconfdir}/roswell/install-clasp-bin.lisp
%{_sysconfdir}/roswell/install-clasp.lisp
%{_sysconfdir}/roswell/install-clisp-head.lisp
%{_sysconfdir}/roswell/install-clisp.lisp
%{_sysconfdir}/roswell/install-cmu-bin.lisp
%{_sysconfdir}/roswell/install-ecl.lisp
%{_sysconfdir}/roswell/install-lispworks.lisp
%{_sysconfdir}/roswell/install-mkcl.lisp
%{_sysconfdir}/roswell/install-npt.lisp
%{_sysconfdir}/roswell/install-quicklisp.lisp
%{_sysconfdir}/roswell/install-sbcl-bin.lisp
%{_sysconfdir}/roswell/install-sbcl-head.lisp
%{_sysconfdir}/roswell/install-sbcl-source.lisp
%{_sysconfdir}/roswell/install-sbcl.lisp
%{_sysconfdir}/roswell/install-slime.lisp
%{_sysconfdir}/roswell/install-sly.lisp
%{_sysconfdir}/roswell/install.ros
%{_sysconfdir}/roswell/list-asdf.lisp
%{_sysconfdir}/roswell/list-default.lisp
%{_sysconfdir}/roswell/list-dump.lisp
%{_sysconfdir}/roswell/list-env.lisp
%{_sysconfdir}/roswell/list-git.lisp
%{_sysconfdir}/roswell/list-installed.lisp
%{_sysconfdir}/roswell/list-versions.lisp
%{_sysconfdir}/roswell/list.ros
%{_sysconfdir}/roswell/locations.lisp
%{_sysconfdir}/roswell/make-depends.ros
%{_sysconfdir}/roswell/patch-quicklisp.lisp
%dir %{_sysconfdir}/roswell/patch
%{_sysconfdir}/roswell/patch/sbcl-1.3.11.patch
%{_sysconfdir}/roswell/patch/sbcl-posix-tests.patch
%{_sysconfdir}/roswell/run.ros
%{_sysconfdir}/roswell/serve-default.lisp
%{_sysconfdir}/roswell/serve-swank.lisp
%{_sysconfdir}/roswell/serve.ros
%{_sysconfdir}/roswell/setup.ros
%{_sysconfdir}/roswell/shell.ros
%{_sysconfdir}/roswell/system.lisp
%{_sysconfdir}/roswell/template.ros
%{_sysconfdir}/roswell/update-default.lisp
%{_sysconfdir}/roswell/update-git.lisp
%{_sysconfdir}/roswell/update-hg.lisp
%{_sysconfdir}/roswell/update-quicklisp.lisp
%{_sysconfdir}/roswell/update.ros
%{_sysconfdir}/roswell/use-asdf.lisp
%{_sysconfdir}/roswell/use-env.lisp
%{_sysconfdir}/roswell/use.ros
%{_sysconfdir}/roswell/util-config.lisp
%{_sysconfdir}/roswell/util-dump.lisp
%{_sysconfdir}/roswell/util-install-quicklisp.lisp
%{_sysconfdir}/roswell/util-install.lisp
%{_sysconfdir}/roswell/util-main.lisp
%{_sysconfdir}/roswell/util-swank.lisp
%{_sysconfdir}/roswell/util-template.lisp
%{_sysconfdir}/roswell/util-use.lisp
%{_sysconfdir}/roswell/util.lisp
%{_sysconfdir}/roswell/version.ros
%{_sysconfdir}/roswell/wait.ros
%{_sysconfdir}/roswell/which.ros
%{_bindir}/ros
%{_mandir}/man1/ros-asdf.1*
%{_mandir}/man1/ros-build.1*
%{_mandir}/man1/ros-checkout.1*
%{_mandir}/man1/ros-client.1*
%{_mandir}/man1/ros-config.1*
%{_mandir}/man1/ros-delete.1*
%{_mandir}/man1/ros-dump.1*
%{_mandir}/man1/ros-emacs.1*
%{_mandir}/man1/ros-help.1*
%{_mandir}/man1/ros-init.1*
%{_mandir}/man1/ros-install.1*
%{_mandir}/man1/ros-list.1*
%{_mandir}/man1/ros-run.1*
%{_mandir}/man1/ros-serve.1*
%{_mandir}/man1/ros-setup.1*
%{_mandir}/man1/ros-template.1*
%{_mandir}/man1/ros-update.1*
%{_mandir}/man1/ros-use.1*
%{_mandir}/man1/ros-wait.1*
%{_mandir}/man1/ros.1*


%changelog
* Sun Dec 10 2023 John Doe <packager@example.com> - 23.10.14.114-1
- Uncommitted changes
